Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html
Interface DataSource

All Known Implementing Classes:
  DataSourceImpl

public interface DataSource

The DataSource interface is a data provider abstraction used by DataWebBean and DataTags.

Since:
  JDeveloper 9.0.2

Field Summary
`static int` | `DEFAULT_RANGE_SIZE` Default size of the range use by the DataWebBean when the ViewObject range is 1.

Method Summary
`java.lang.String` | `getApplicationId()` Return identificator for the ApplicationModule.
`ApplicationModule` | `getApplicationModule()` Name of the ApplicationModule containing the ViewObject bind to this datasource.
`java.lang.String` | `getAttributeLabel(AttributeDef aDef)`
`java.lang.String` | `getAttributeLabel(java.lang.String sAttribute)`
`java.lang.String` | `getContextFieldRendererClassName(javax.servlet.jsp.PageContext page, javax.servlet.http.HttpSession session, AttributeDef attrDef, java.lang.String renderKey)`
`java.lang.String` | `getDefaultDisplayRendererClassName(AttributeDef attrDef)`
`java.lang.String` | `getDefaultEditRendererClassName(AttributeDef attrDef)`
`java.lang.String` | `getDefaultFieldRendererClassName(AttributeDef attrDef, java.lang.String renderKey)`
`HTMLFieldRenderer` | `getDisplayFieldRenderer(javax.servlet.jsp.PageContext page, javax.servlet.http.HttpSession session, Row row, AttributeDef attrDef)` Retrieves the default field renderer for a specified attribute definition (that is, the attribute metadata).
`HTMLFieldRenderer` | `getDisplayFieldRenderer(javax.servlet.jsp.PageContext page, Row row, AttributeDef attrDef)`
`java.lang.String` | `getDisplayRendererClassName(javax.servlet.jsp.PageContext page, javax.servlet.http.HttpSession session, AttributeDef attrDef)`
`HTMLFieldRenderer` | `getEditFieldRenderer(javax.servlet.jsp.PageContext page, javax.servlet.http.HttpSession session, Row row, AttributeDef attrDef)` Retrieves the default field renderer for a specified attribute definition (that is, the attribute metadata).
`HTMLFieldRenderer` | `getEditFieldRenderer(javax.servlet.jsp.PageContext page, Row row, AttributeDef attrDef)`
`java.lang.String` | `getEditRendererClassName(javax.servlet.jsp.PageContext page, javax.servlet.http.HttpSession session, AttributeDef attrDef)`
`java.lang.String` | `getFieldRendererClassName(javax.servlet.jsp.PageContext page, javax.servlet.http.HttpSession session, AttributeDef attrDef, java.lang.String renderKey)`
`LocaleContext` | `getLocaleContext()` Returns the locale context
`Row` | `getRowFromKey(java.lang.String sKey)`
`RowSet` | `getRowSet()` Return the RowSet instance of the ViewObject bind to this datasource.
`java.lang.String` | `getViewObjectName()` Return the name of the ViewObject bind to this datasource.
`boolean` | `hasFieldRenderer(javax.servlet.jsp.PageContext page, Row row, AttributeDef attrDef, java.lang.String sRendererKey)` Returns true if there is a custom render
`boolean` | `isBindingContainerDataSource()`
`boolean` | `isQueryable()` Determines if the DataSource is queryable based on the ViewObject information.
`void` | `setApplicationModule(java.lang.String appName, ApplicationModule am)` Bind a datasource to a BC4J ApplicationModule and retrieve find the ViewObject.
`void` | `setDisplayFieldRenderer(AttributeDef attrDef, HTMLFieldRenderer rdr)` Assigns an instance-level display field renderer to be used in the DataWebBean
`void` | `setDisplayFieldRenderer(int nIndex, HTMLFieldRenderer rdr)` Assigns an instance-level display field renderer to be used in the DataWebBean
`void` | `setEditFieldRenderer(AttributeDef attrDef, HTMLFieldRenderer rdr)` Assigns an instance-level edit field renderer to be used in the DataWebBean
`void` | `setEditFieldRenderer(int nIndex, HTMLFieldRenderer rdr)` Assigns an instance-level edit field renderer to be used in the DataWebBean
`void` | `setRequest(javax.servlet.http.HttpServletRequest request)` Pass in the request object
`boolean` | `shouldDisplayAttribute(AttributeDef attrDef)`
`void` | `synchronize()` Synchronizes client changes with remote application.

Field Detail

### DEFAULT_RANGE_SIZE

    public static final int DEFAULT_RANGE_SIZE

  Default size of the range use by the DataWebBean when the ViewObject range is 1. DataTags do not use this value.
  See Also:
    Constant Field Values

Method Detail

### getViewObjectName

    public java.lang.String getViewObjectName()

  Return the name of the ViewObject bind to this datasource.
  Returns:
    ViewObject name
  See Also:
    `ViewObject`

### getApplicationModule

    public ApplicationModule getApplicationModule()

  Name of the ApplicationModule containing the ViewObject bind to this datasource.
  Returns:
    ApplicationModule name
  See Also:
    `ApplicationModule`

### setApplicationModule

    public void setApplicationModule(java.lang.String appName,
                                     ApplicationModule am)

  Bind a datasource to a BC4J ApplicationModule and retrieve find the ViewObject.
  Parameters:
    `appName` -
    `am` -

### getRowSet

    public RowSet getRowSet()

  Return the RowSet instance of the ViewObject bind to this datasource.
  Returns:
    the RowSet instance
  See Also:
    `RowSet`

### getApplicationId

    public java.lang.String getApplicationId()

  Return identificator for the ApplicationModule. For the DataWebBean, it is the name of the ApplicationModule, for the data tags, it is the application module id
  Returns:
    id

### getEditFieldRenderer

    public HTMLFieldRenderer getEditFieldRenderer(javax.servlet.jsp.PageContext page,
                                                  Row row,
                                                  AttributeDef attrDef)

### getEditFieldRenderer

    public HTMLFieldRenderer getEditFieldRenderer(javax.servlet.jsp.PageContext page,
                                                  javax.servlet.http.HttpSession session,
                                                  Row row,
                                                  AttributeDef attrDef)

  Retrieves the default field renderer for a specified attribute definition (that is, the attribute metadata).
  Parameters:
    `attrDef` - an attribute definition.
  Returns:
    default field renderer for the attribute definition.

### getDisplayFieldRenderer

    public HTMLFieldRenderer getDisplayFieldRenderer(javax.servlet.jsp.PageContext page,
                                                     Row row,
                                                     AttributeDef attrDef)

### getDisplayFieldRenderer

    public HTMLFieldRenderer getDisplayFieldRenderer(javax.servlet.jsp.PageContext page,
                                                     javax.servlet.http.HttpSession session,
                                                     Row row,
                                                     AttributeDef attrDef)

  Retrieves the default field renderer for a specified attribute definition (that is, the attribute metadata).
  Parameters:
    `attrDef` - an attribute definition.
  Returns:
    default field renderer for the attribute definition.

### getContextFieldRendererClassName

    public java.lang.String getContextFieldRendererClassName(javax.servlet.jsp.PageContext page,
                                                             javax.servlet.http.HttpSession session,
                                                             AttributeDef attrDef,
                                                             java.lang.String renderKey)

### getDefaultFieldRendererClassName

    public java.lang.String getDefaultFieldRendererClassName(AttributeDef attrDef,
                                                             java.lang.String renderKey)

### getDefaultEditRendererClassName

    public java.lang.String getDefaultEditRendererClassName(AttributeDef attrDef)

### getDefaultDisplayRendererClassName

    public java.lang.String getDefaultDisplayRendererClassName(AttributeDef attrDef)

### getFieldRendererClassName

    public java.lang.String getFieldRendererClassName(javax.servlet.jsp.PageContext page,
                                                      javax.servlet.http.HttpSession session,
                                                      AttributeDef attrDef,
                                                      java.lang.String renderKey)

### getEditRendererClassName

    public java.lang.String getEditRendererClassName(javax.servlet.jsp.PageContext page,
                                                     javax.servlet.http.HttpSession session,
                                                     AttributeDef attrDef)

### getDisplayRendererClassName

    public java.lang.String getDisplayRendererClassName(javax.servlet.jsp.PageContext page,
                                                        javax.servlet.http.HttpSession session,
                                                        AttributeDef attrDef)

### setDisplayFieldRenderer

    public void setDisplayFieldRenderer(AttributeDef attrDef,
                                        HTMLFieldRenderer rdr)

  Assigns an instance-level display field renderer to be used in the DataWebBean

### setEditFieldRenderer

    public void setEditFieldRenderer(AttributeDef attrDef,
                                     HTMLFieldRenderer rdr)

  Assigns an instance-level edit field renderer to be used in the DataWebBean

### setDisplayFieldRenderer

    public void setDisplayFieldRenderer(int nIndex,
                                        HTMLFieldRenderer rdr)

  Assigns an instance-level display field renderer to be used in the DataWebBean

### setEditFieldRenderer

    public void setEditFieldRenderer(int nIndex,
                                     HTMLFieldRenderer rdr)

  Assigns an instance-level edit field renderer to be used in the DataWebBean

### shouldDisplayAttribute

    public boolean shouldDisplayAttribute(AttributeDef attrDef)

### getAttributeLabel

    public java.lang.String getAttributeLabel(java.lang.String sAttribute)

### getAttributeLabel

    public java.lang.String getAttributeLabel(AttributeDef aDef)

### getRowFromKey

    public Row getRowFromKey(java.lang.String sKey)

### isQueryable

    public boolean isQueryable()

  Determines if the DataSource is queryable based on the ViewObject information.
  Returns:
    true is the ViewObject bind to the DataSource has any queryable fields.

### getLocaleContext

    public LocaleContext getLocaleContext()

  Returns the locale context

### synchronize

    public void synchronize()

  Synchronizes client changes with remote application.

### isBindingContainerDataSource

    public boolean isBindingContainerDataSource()

  Returns:
    true if this data source is based ona binding container

### setRequest

    public void setRequest(javax.servlet.http.HttpServletRequest request)

  Pass in the request object

### hasFieldRenderer

    public boolean hasFieldRenderer(javax.servlet.jsp.PageContext page,
                                    Row row,
                                    AttributeDef attrDef,
                                    java.lang.String sRendererKey)

  Returns true if there is a custom render

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.